.user-profile-header {

    @include flex(flex, center, center);
    flex-direction: column;
    text-align: center;

    @media(min-width: 600px) {
        text-align: left;
        flex-direction: row;
        justify-content: space-between;
    }

    .avatar {
        position: relative;
        height: 160px;
        width: 160px;
        flex-shrink: 0;

        @media(min-width: 600px) {
            margin-right: 40px;
        }

        mr-image {
            width: 100%;
            height: 100%;
            border-radius: 50%;
            object-fit: cover;
            display: block;
            transition: .3s;

            img {
                height: 100%;
                width: 100%;
                object-fit: cover;
            }
        }

        &::after {
            content: '';
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            height: calc(100% + 20px);
            width: calc(100% + 20px);
            border: 1px dashed #ccc;
            border-radius: 50%;
        }
    }

    .profile-info {

        width: 100%;

        h6 {
            font-weight: normal;
            font-size: .9rem;
            color: $grey;
        }

        p {
            color: $grey;
            margin: 0;
            font-size: .9rem;
            margin-bottom: 10px;
        }

        .actions > * + * {
            margin-left: 10px;
        }

        .edit-actions {
            text-align: right;

            & > button + button {
                margin-left: 10px;
            }
        }

        textarea {
            resize: vertical;
            border: 1px solid #eee;
            padding: 5px 10px;
            border-radius: 4px;
            background: white;
            font-size: .9rem;
        }

        mr-profile-actions {
            float: right;
            margin-left: 10px;

            .mr-icon-button {
                position: static;
            }
        }

    }

    .mr-icon-button {
        position: absolute;
        bottom: 0;
        right: 0;
        z-index: 3;
    }
}

.profile-data {
    @include with-sidebar('left');
    margin-top: 40px;

    // aside > *:first-child .module {
    //     @include corner(top, left);
    // }

    // aside > *:last-child .module {
    //     @include corner(bottom, left);
    // }
}

.settings {
    .data-list {
        display: flex;
        flex-wrap: wrap;
    }

    .data-list dt {
        width: 200px;
        margin-bottom: 10px;
        color: $grey;
        font-weight: bold;
    }

    .data-list dd {
        width: calc(100% - 200px);
        margin: 0;
        display: flex;
        justify-content: space-between;
        margin-bottom: 10px;
    }

    .settings-actions {
        text-align: right;
    }
}

.counters {
    @include unstyled-list;

    li {
        display: flex;
        justify-content: space-between;
        border-bottom: 1px dashed #eee;
        margin-bottom: 5px;
        padding-bottom: 5px;
        font-size: .9rem;
        color: $primary;

        &:last-of-type {
            border-bottom: none;
            margin-bottom: 0;
            padding-bottom: 0;
        }
    }
}
